package com.example.tdl.domain.vo;

import java.util.List;

public class CircuitMessageForABBVo {
    private String transportationNo;//运输编号

    private Integer circuitState;

    private  String routeName;//线路

    private String cargoName;//货物名称

    private String transportation;//运输方式

    private String alarmType;//预警类型

    private String SN;//网关编号

    private String battery;

    private List<ResultAlarmLog> alarmLogList;

    private List<CircuitMessageForABBVo.TDL> tdlList;

    public static class TDL {
        private String tdlsn;

        private String batteryVoltage;

        public TDL() {
        }

        public TDL(String tdlsn, String batteryVoltage) {
            this.tdlsn = tdlsn;
            this.batteryVoltage = batteryVoltage;
        }

        public String getTdlsn() {
            return tdlsn;
        }

        public void setTdlsn(String tdlsn) {
            this.tdlsn = tdlsn;
        }

        public String getBatteryVoltage() {
            return batteryVoltage;
        }

        public void setBatteryVoltage(String batteryVoltage) {
            this.batteryVoltage = batteryVoltage;
        }
    }


    public CircuitMessageForABBVo() {
    }

    public CircuitMessageForABBVo(String transportationNo,Integer circuitState,String routeName,String cargoName,String transportation,String alarmType) {
        this.transportationNo = transportationNo;
        this.circuitState = circuitState;
        this.routeName = routeName;
        this.cargoName = cargoName;
        this.transportation = transportation;
        this.alarmType = alarmType;
    }

    public CircuitMessageForABBVo(String transportationNo,String cargoName,String transportation,String alarmType,String SN, List<ResultAlarmLog> alarmLogList) {
        this.transportationNo = transportationNo;
        this.cargoName = cargoName;
        this.transportation = transportation;
        this.alarmType = alarmType;
        this.SN = SN;
        this.alarmLogList = alarmLogList;
    }

    public Integer getCircuitState() {
        return circuitState;
    }

    public void setCircuitState(Integer circuitState) {
        this.circuitState = circuitState;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getTransportationNo() {
        return transportationNo;
    }

    public void setTransportationNo(String transportationNo) {
        this.transportationNo = transportationNo;
    }

    public String getCargoName() {
        return cargoName;
    }

    public void setCargoName(String cargoName) {
        this.cargoName = cargoName;
    }

    public String getTransportation() {
        return transportation;
    }

    public void setTransportation(String transportation) {
        this.transportation = transportation;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getSN() {
        return SN;
    }

    public void setSN(String SN) {
        this.SN = SN;
    }

    public String getBattery() {
        return battery;
    }

    public void setBattery(String battery) {
        this.battery = battery;
    }

    public List<ResultAlarmLog> getAlarmLogList() {
        return alarmLogList;
    }

    public void setAlarmLogList(List<ResultAlarmLog> alarmLogList) {
        this.alarmLogList = alarmLogList;
    }

    public List<CircuitMessageForABBVo.TDL> getTdlList() {
        return tdlList;
    }

    public void setTdlList(List<CircuitMessageForABBVo.TDL> tdlList) {
        this.tdlList = tdlList;
    }

}
