package com.example.tdl.entity;

import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;

public class TDLDataOffset {

    private Double tempOffset;//温度校准值

    private Double humidityOffset;//湿度校准值

    public Double getTempOffset() {
        return tempOffset;
    }

    public void setTempOffset(Double tempOffset) {
        this.tempOffset = tempOffset;
    }

    public Double getHumidityOffset() {
        return humidityOffset;
    }

    public void setHumidityOffset(Double humidityOffset) {
        this.humidityOffset = humidityOffset;
    }

    public static TDLDataOffset parse(String offsetString) {
        TDLDataOffset offset;
        try {
            offset = new Gson().fromJson(offsetString, TDLDataOffset.class);
        } catch (JsonSyntaxException e) {
            offset = new TDLDataOffset();
            offset.setHumidityOffset(0.0);
            offset.setTempOffset(0.0);
        }
        return offset;
    }
}
