package com.example.tdl.entity;

import java.io.Serializable;

/*
* 仓库表
*
* */
public class Warehouse implements Serializable {

    private Serializable serializable = 1L;

    private Integer id;

    private String warehouseName;

    private String warehouseNo;//仓库编号

    private City city;

    private String addressDetail;

    private String lng;

    private  String  lat;

    private String regionName;

    private String property;//属性

    private String type;//类型

    private String alarmType;

    private String hardwareLevel;//硬件等级

    private Double areaIndoor;//室内平面面积

    private Double areaRack;//货架面积

    private Double areaOutdoor;//实际室内总面积

    private Double areaPlanIndoor;//实际室内总面积

    private String office;//办事处

    private Integer timeZone;//时区

    private String warehouseInfo;//基础描述

    private Company  company;

    private Long createTime;

    private Long updateTime;

    private String remark;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseNo() {
        return warehouseNo;
    }

    public void setWarehouseNo(String warehouseNo) {
        this.warehouseNo = warehouseNo;
    }

    public City getCity() {
        return city;
    }

    public void setCity(City city) {
        this.city = city;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getHardwareLevel() {
        return hardwareLevel;
    }

    public void setHardwareLevel(String hardwareLevel) {
        this.hardwareLevel = hardwareLevel;
    }

    public Double getAreaIndoor() {
        return areaIndoor;
    }

    public void setAreaIndoor(Double areaIndoor) {
        this.areaIndoor = areaIndoor;
    }

    public Double getAreaRack() {
        return areaRack;
    }

    public void setAreaRack(Double areaRack) {
        this.areaRack = areaRack;
    }

    public Double getAreaOutdoor() {
        return areaOutdoor;
    }

    public void setAreaOutdoor(Double areaOutdoor) {
        this.areaOutdoor = areaOutdoor;
    }

    public Double getAreaPlanIndoor() {
        return areaPlanIndoor;
    }

    public void setAreaPlanIndoor(Double areaPlanIndoor) {
        this.areaPlanIndoor = areaPlanIndoor;
    }

    public String getOffice() {
        return office;
    }

    public void setOffice(String office) {
        this.office = office;
    }

    public Integer getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(Integer timeZone) {
        this.timeZone = timeZone;
    }

    public String getWarehouseInfo() {
        return warehouseInfo;
    }

    public void setWarehouseInfo(String warehouseInfo) {
        this.warehouseInfo = warehouseInfo;
    }

    public Company getCompany() {
        return company;
    }

    public void setCompany(Company company) {
        this.company = company;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
