package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import com.example.tdl.entity.AlarmLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AlarmLogABBMapper {
    //获取所有的数据
    List<ResultAlarmLogABBVo> getAll(@Param("companyNo") String companyNo,@Param("page") Integer page,@Param("rows") Integer rows);

    Integer getAllCount(@Param("companyNo") String companyNo);

    List<ResultAlarmLogABBVo> getByTerm(@Param("alarmTermABBVo") AlarmTermABBVo alarmTermABBVo,@Param("page") Integer page,@Param("rows") Integer rows);

    Integer getByTermCount(AlarmTermABBVo alarmTermABBVo);

    List<ResultAlarmLogABBVo> getByTermForDownload(AlarmTermABBVo alarmTermABBVo);

    List<ResultAlarmLogCountABBVo> getYearCountForLineGraph();

    List<ResultAlarmLogCountABBVo> getDayCountForLineGraph();

    ResultAlarmLogCountPieGraphVo getDaySumForPieGraph();

    ResultAlarmLogCountPieGraphVo getYearSumForPieGraph();

    List<ResultAlarmLogHouseCountPieGraphVo> getDayHouseSumForPieGraph();

    List<ResultAlarmLogHouseCountPieGraphVo> getYearHouseSumForPieGraph();


}
