package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BoschAlarmMapper {

     List<ResultBoschAlarmVo> getAll(String companyNo);

    List<ResultBoschAlarmVo> getAllByAlarmType(@Param("companyNo") String companyNo, @Param("alarmType") String alarmType);

    int addAlarm(AddBoschAlarmVo addAlarmVo);

    int updateAlarm(UpdateBoschAlarmVo updateAlarmVo);

    int delAlarm(DelAlarmVo delAlarmVo);

    ResultBoschAlarmVo getByType(@Param("alarmType") String alarmType,@Param("companyNo") String companyNo);

    ResultBoschAlarmVo getAlarmByWarehouseNo(@Param("warehouseNo") String warehouseNo ,@Param("gatewaySN")String gatewaySN,@Param("TDLSN")String TDLSN);

}
