package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CircuitABBMapper {
    List<ResultCircuitForABBVo> getAll(@Param("companyNo") String companyNo);

    List<ResultCircuitForABBVo> getByTerm(CircuitTermVo circuitTermVo);

    int addCircuitForABB(Map<Object, Object> map);

    int startCircuitForABB(UpdateCircuitStartTimeVo updateCircuitStartTimeVo);

    int endCircuitForABB(Map<Object, Object> map);

    int updateCircuitForABB(UpdateCircuitForABBVo updateCircuitForABBVo);

    int delCircuit(String transportationNo);

    ResultCircuitForABBVo getByTransportationNo(@Param("transportationNo") String transportationNo, @Param("companyNo") String companyNo);

    ResultCircuitForABBVo getCircuit(@Param("transportationNo") String transportationNo);

    Integer getNo(String transportationNo);

    List<ResultCircuitForABBVo> getByCompanyNoAndCircuitState(String companyNo);

    Integer getCount(@Param("time") String time,@Param("endTime") Long endTime,@Param("companyNo") String companyNo);

    Integer getOnRoute(@Param("companyNo") String companyNo);

    List<CircuitABBVo> getForHomePage(@Param("companyNo") String companyNo);

}
