package com.example.tdl.mapper;


import com.example.tdl.domain.vo.ResultCompanyVo;
import com.example.tdl.domain.vo.UpdateCompanyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface CompanyMapper {
    List<ResultCompanyVo> getAll(@Param("companyNo") String  companyNo);

    int addCompany(Map<String,Object> map);

    int updateCompany(UpdateCompanyVo updateCompanyVo);

    int delCompany(Map<Object,Object> map);

    ResultCompanyVo getByCompanyName(String companyName);

    ResultCompanyVo getByCompanyNo(String companyNo);

    ResultCompanyVo getByAlias(String alias);

    int updateImg(@Param("img") String img, @Param("companyNo") String companyNo);

}
