package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RegionMapper {
    List<ResultRegionVo> getAll(String companyNo);

    ResultRegionVo getByRegionName(@Param("companyNo") String companyNo, @Param("regionName") String regionName);

    ResultRegionVo getByRegionNo(@Param("companyNo") String companyNo, @Param("regionNo") String regionNo);

    int addRegion(ResultRegionVo resultRegionVo);

    int updateRegion(UpdateRegionVo updateRegionVo);

    int deleteRegion(String regionNo);

    Integer getByRegion(String regionNo);
}
