package com.example.tdl.mapper;


import com.example.tdl.domain.vo.ResultRoleVo;
import com.example.tdl.domain.vo.RoleNameVo;
import com.example.tdl.domain.vo.UpdateRoleVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RoleMapper {
    List<RoleNameVo> getRoleNameByCompanyName(String companyName);

    Integer getByRoleName(@Param("roleName") String roleName,@Param("companyName") String companyName);

    List<ResultRoleVo> getAll(String companyNo);

    int addRole(ResultRoleVo resultRoleVo);

    int addRoleAndPermission(Map<String,Object> map);

    int updatePermissionForWitium(Map<String,Object> map);

    int updateRole(UpdateRoleVo updateRoleVo);

    int deleteRole(Map<String,Object> map);

    String getRoleNameByUserName(String userName);
}
