package com.example.tdl.mapper;

import com.example.tdl.domain.vo.ResultSideVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface SideMapper {
    List<ResultSideVo> selectAllTitle(@Param("roleName") String roleName,@Param("companyNo") String companyNo);

    List<ResultSideVo> selectBySideTitle(@Param("roleName") String roleName,@Param("companyNo") String companyNo, @Param("sideTitle") String sideTitle);

    List<String> getSideTitleParentName();

    List<String> getSideTitleByParentName(String sideTitle);

    String getParentPermissionBySideTitle(String sideTitle);
}
