package com.example.tdl.mapper;


import com.example.tdl.domain.vo.HistogramData;
import com.example.tdl.domain.vo.WarehouseAlarmLog;
import com.example.tdl.domain.vo.WarehouseCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WarehouseAlarmLogMapper {

    Integer add(WarehouseAlarmLog alarmLog);

    List<WarehouseCountVo> getCount(@Param("warehouseNo") String warehouseNo, @Param("startTime") Long startTime,@Param("endTime") Long endTime ,@Param("desp")String desp);

    String getLastAlarm(String warehouseNo);

    List<HistogramData> getByCount(@Param("time")String  time, @Param("companyNo")String  companyNo);

    Integer  getAlarmCount(@Param("time")String  time, @Param("companyNo")String  companyNo);

    Long  getLastProcessedAlarm(String warehouseNo);
}
