package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.AlarmMapper;
import com.example.tdl.mapper.BoschAlarmMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BoschAlarmService {
@Autowired
    private BoschAlarmMapper alarmMapper;

    public List<ResultBoschAlarmVo> getAll(String companyNo){
        return alarmMapper.getAll(companyNo);
    }

    public List<ResultBoschAlarmVo> getAllByAlarmType(String companyNo,String alarmType){
        return alarmMapper.getAllByAlarmType(companyNo,alarmType);
    }

    public int addAlarm(AddBoschAlarmVo addAlarmVo){
        return alarmMapper.addAlarm(addAlarmVo);
    }

    public int updateAlarm(UpdateBoschAlarmVo updateAlarmVo){
        return alarmMapper.updateAlarm(updateAlarmVo);
    }

    public int delAlarm(DelAlarmVo delAlarmVo){
        return alarmMapper.delAlarm(delAlarmVo);
    }

    public ResultBoschAlarmVo getByType(String alarmType,String companyNo){
        return alarmMapper.getByType(alarmType,companyNo);
    }

    public ResultBoschAlarmVo getAlarmByWarehouseNo(String warehouseNo,String SN, String TDLSN){
        return alarmMapper.getAlarmByWarehouseNo(warehouseNo,SN, TDLSN);
    }

}
