package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.AlarmMapper;
import com.example.tdl.mapper.CarMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class CarService {
    @Autowired
    private CarMapper carMapper;

    public List<ResultCarVo> getAll(String companyNo){
        return carMapper.getAll(companyNo);
    }

    public ResultCarVo getByCarNo(String companyNo,String carNo){
        return carMapper.getByCarNo(companyNo,carNo);
    }

    public List<ResultCarVo> getByCarNoForLike(String companyNo,String carNo){
        return carMapper.getByCarNoForLike(companyNo,carNo);
    }

    public int addCar(AddCarVo resultCarVo){
        return carMapper.addCar(resultCarVo);
    }

    public int updateCar(UpdateCarVo updateCarVo){
        return carMapper.updateCar(updateCarVo);
    }

    public int delCar(String carNo){
        return carMapper.delCar(carNo);
    }

    public int updateImg(String img,String carNo){
        return carMapper.updateImg(img,carNo);
    }

    public List<TruckNo> getTruckNo(String companyNo,String carNo){
        return carMapper.getTruckNo(companyNo,carNo);
    }


}
