package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.CircuitABBMapper;
import com.example.tdl.mapper.CircuitMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CircuitABBService {
    @Autowired
    private CircuitABBMapper circuitABBMapper;

    public List<ResultCircuitForABBVo> getAll(String companyNo){
        return circuitABBMapper.getAll(companyNo);
    }

    public List<ResultCircuitForABBVo> getByTerm(CircuitTermVo circuitTermVo){
        return circuitABBMapper.getByTerm(circuitTermVo);
    }

    public int addCircuitForABB(Map<Object,Object> map){
        return circuitABBMapper.addCircuitForABB(map);
    }

    public int startCircuitForABB(UpdateCircuitStartTimeVo updateCircuitStartTimeVo){
        return circuitABBMapper.startCircuitForABB(updateCircuitStartTimeVo);
    }

    public int endCircuitForABB(Map<Object,Object> map){
        return circuitABBMapper.endCircuitForABB(map);
    }

    public int updateCircuitForABB(UpdateCircuitForABBVo updateCircuitForABBVo){
        return circuitABBMapper.updateCircuitForABB(updateCircuitForABBVo);
    }

    public int delCircuit(String transportationNo){
        return circuitABBMapper.delCircuit(transportationNo);
    }

    public ResultCircuitForABBVo getByTransportationNo(String transportationNo,String companyNo){
        return circuitABBMapper.getByTransportationNo(transportationNo,companyNo);
    }

    public  ResultCircuitForABBVo getCircuit(String transportationNo){
        return circuitABBMapper.getCircuit(transportationNo);
    }

    public Integer getNo(String transportationNo){
        return circuitABBMapper.getNo(transportationNo);
    }

    public List<ResultCircuitForABBVo> getByCompanyNoAndCircuitState(String companyNo){
        return circuitABBMapper.getByCompanyNoAndCircuitState(companyNo);
    }

    public Integer getCount(String time,Long startTime,String companyNo){
        return circuitABBMapper.getCount(time,startTime,companyNo);
    }

    public Integer getOnRoute(String companyNo){
        return circuitABBMapper.getOnRoute(companyNo);
    }

    public List<CircuitABBVo> getForHomePage(String companyNo){
        return circuitABBMapper.getForHomePage(companyNo);
    }
}
