package com.example.tdl.service;

import com.example.tdl.domain.vo.ResultCompanyVo;
import com.example.tdl.domain.vo.UpdateCompanyVo;
import com.example.tdl.mapper.CompanyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CompanyService {
    @Autowired
    private CompanyMapper companyMapper;

    public List<ResultCompanyVo> getAll(String companyNo){
        return companyMapper.getAll(companyNo);
    }

    public int addCompany(Map<String,Object> map){
        return companyMapper.addCompany(map);
    }

    public int updateCompany(UpdateCompanyVo updateCompanyVo){
        return companyMapper.updateCompany(updateCompanyVo);
    }

    public int delCompany(Map<Object,Object> map){
        return companyMapper.delCompany(map);
    }

    public ResultCompanyVo getByCompanyName(String companyName){
        return companyMapper.getByCompanyName(companyName);
    }

    public ResultCompanyVo getByCompanyNo(String companyNo){
        return companyMapper.getByCompanyNo(companyNo);
    }

    public ResultCompanyVo getByAlias(String alias){
        return companyMapper.getByAlias(alias);
    }

    public int updateImg(String img,String companyNo){
        return companyMapper.updateImg(img,companyNo);
    }



}
