package com.example.tdl.service;

import com.example.tdl.domain.vo.ConfigResultVo;
import com.example.tdl.domain.vo.ConfigVo;
import com.example.tdl.mapper.ConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class ConfigService {

    @Autowired
    private ConfigMapper configMapper;

    //绑定getway和tdl
   /* public int addConfig(ConfigVo configVo){
        return configMapper.addConfig(configVo);
    }*/

    public int addConfig(Map<Object,Object> map){
        return configMapper.addConfig(map);
    }


    //获取绑定的数据信息
    public ConfigVo getConfig(String gSN,String gType){
        return  configMapper.getConfig(gSN,gType);
    }

    //绑定成功
    public int bindSuccess(String gSN,String gType,Integer resp){
        return  configMapper.bindSuccess(gSN,gType,resp);
    }

    //解绑getWay和tdl
//    public int updateConfig(String gSN,String gType,Boolean untie ){
//        return configMapper.updateConfig(gSN,gType,untie);
//    }
//
    public int updateConfig(Map<Object,Object> map ){
        return configMapper.updateConfig(map);
    }

    //解绑成功
    public int delConfig(String gSN,String gType){
        return configMapper.delConfig(gSN,gType);
    }

    public ConfigResultVo getByTransportationNo(String transportationNo){
        return configMapper.getByTransportationNo(transportationNo);
    }

    public Integer updateGPS( ConfigResultVo configResultVo ){
        return  configMapper.updateGPS(configResultVo);
    }
}
