package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.RegionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class RegionService {
    @Autowired
    private RegionMapper regionMapper;

    public List<ResultRegionVo> getAll(String companyNo){
        return regionMapper.getAll(companyNo);
    }

    public ResultRegionVo getByRegionName(String companyNo,String regionName){
        return regionMapper.getByRegionName(companyNo,regionName);
    }

    public ResultRegionVo getByRegionNo(String companyNo,String regionNo){
        return regionMapper.getByRegionNo(companyNo,regionNo);
    }

    public int addRegion(ResultRegionVo resultRegionVo){
        return regionMapper.addRegion(resultRegionVo);
    }

    public int updateRegion(UpdateRegionVo updateRegionVo){
        return regionMapper.updateRegion(updateRegionVo);
    }

    public int deleteRegion(String regionNo){
        return regionMapper.deleteRegion(regionNo);
    }

    public Integer getByRegion(String regionNo){
        return regionMapper.getByRegion(regionNo);
    }


}
