package com.example.tdl.service;

import com.example.tdl.domain.vo.HistogramData;
import com.example.tdl.domain.vo.WarehouseAlarmLog;
import com.example.tdl.domain.vo.WarehouseCountVo;
import com.example.tdl.mapper.WarehouseAlarmLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WarehouseAlarmLogService {

    @Autowired
    private WarehouseAlarmLogMapper warehouseAlarmLogMapper;


    public Integer add(WarehouseAlarmLog alarmLog){
        return warehouseAlarmLogMapper.add(alarmLog);
    }


    public List<WarehouseCountVo> getCount(String warehouseNo, Long startTime, Long endTime,String desp ){
        return warehouseAlarmLogMapper.getCount(warehouseNo,startTime,endTime,desp);
    }

    public String getLastAlarm(String warehouseNo){
        return warehouseAlarmLogMapper.getLastAlarm(warehouseNo);
    }

    public List<HistogramData> getByCount(String  time,String  companyNo){
        return  warehouseAlarmLogMapper.getByCount(time,companyNo);
    }

    public Integer getAlarmCount(String  time,String  companyNo){
        return  warehouseAlarmLogMapper.getAlarmCount(time,companyNo);
    }

    public Long  getLastProcessedAlarm(String warehouseNo){
        return  warehouseAlarmLogMapper.getLastProcessedAlarm(warehouseNo);
    }
}
