package com.example.tdl.domain.vo;

import java.util.List;

public class ConfigCMDVo {

    private String action;

    private Integer gpsPeriod;

    private Integer gprsPeriod;

    private List<String> devList;

    private List<Float> tempL;

    private List<Float> tempH;

    private List<Float> humiL;

    private List<Float> humiH;

    private List<Integer> pressL;

    private List<Integer> pressH;

    private List<Integer> sugEnergy;

    private List<Float> accThreshold;

    private List<Integer> timeThreshold;

    private List<Integer> tiltThreshold;

    private Integer mode; //1为运输，2位仓储

    private Long t;//配置时的时间戳

    public ConfigCMDVo() {
    }

    public ConfigCMDVo(String action, Integer gpsPeriod, Integer gprsPeriod, List<String> devList, Integer mode) {
        this.action = action;
        this.gpsPeriod = gpsPeriod;
        this.gprsPeriod = gprsPeriod;
        this.devList = devList;
        this.mode = mode;
    }

    public ConfigCMDVo(String action, Integer gpsPeriod, Integer gprsPeriod, List<String> devList, Integer mode, Long t) {
        this.action = action;
        this.gpsPeriod = gpsPeriod;
        this.gprsPeriod = gprsPeriod;
        this.devList = devList;
        this.mode = mode;
        this.t = t;
    }

    public ConfigCMDVo(String action, Integer gpsPeriod, Integer gprsPeriod, List<String> devList, List<Float> tempL, List<Float> tempH, List<Float> humiL, List<Float> humiH, List<Integer> pressL, List<Integer> pressH, List<Integer> sugEnergy, List<Float> accThreshold, List<Integer> timeThreshold, List<Integer> tiltThreshold, Integer mode, Long t) {
        this.action = action;
        this.gpsPeriod = gpsPeriod;
        this.gprsPeriod = gprsPeriod;
        this.devList = devList;
        this.tempL = tempL;
        this.tempH = tempH;
        this.humiL = humiL;
        this.humiH = humiH;
        this.pressL = pressL;
        this.pressH = pressH;
        this.sugEnergy = sugEnergy;
        this.accThreshold = accThreshold;
        this.timeThreshold = timeThreshold;
        this.tiltThreshold = tiltThreshold;
        this.mode = mode;
        this.t = t;
    }


    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public Integer getGpsPeriod() {
        return gpsPeriod;
    }

    public void setGpsPeriod(Integer gpsPeriod) {
        this.gpsPeriod = gpsPeriod;
    }

    public Integer getGprsPeriod() {
        return gprsPeriod;
    }

    public void setGprsPeriod(Integer gprsPeriod) {
        this.gprsPeriod = gprsPeriod;
    }

    public List<String> getDevList() {
        return devList;
    }

    public void setDevList(List<String> devList) {
        this.devList = devList;
    }

    public List<Float> getTempL() {
        return tempL;
    }

    public void setTempL(List<Float> tempL) {
        this.tempL = tempL;
    }

    public List<Float> getTempH() {
        return tempH;
    }

    public void setTempH(List<Float> tempH) {
        this.tempH = tempH;
    }

    public List<Float> getHumiL() {
        return humiL;
    }

    public void setHumiL(List<Float> humiL) {
        this.humiL = humiL;
    }

    public List<Float> getHumiH() {
        return humiH;
    }

    public void setHumiH(List<Float> humiH) {
        this.humiH = humiH;
    }

    public List<Integer> getPressL() {
        return pressL;
    }

    public void setPressL(List<Integer> pressL) {
        this.pressL = pressL;
    }

    public List<Integer> getPressH() {
        return pressH;
    }

    public void setPressH(List<Integer> pressH) {
        this.pressH = pressH;
    }

    public List<Integer> getSugEnergy() {
        return sugEnergy;
    }

    public void setSugEnergy(List<Integer> sugEnergy) {
        this.sugEnergy = sugEnergy;
    }

    public List<Float> getAccThreshold() {
        return accThreshold;
    }

    public void setAccThreshold(List<Float> accThreshold) {
        this.accThreshold = accThreshold;
    }

    public List<Integer> getTimeThreshold() {
        return timeThreshold;
    }

    public void setTimeThreshold(List<Integer> timeThreshold) {
        this.timeThreshold = timeThreshold;
    }

    public List<Integer> getTiltThreshold() {
        return tiltThreshold;
    }

    public void setTiltThreshold(List<Integer> tiltThreshold) {
        this.tiltThreshold = tiltThreshold;
    }

    public Integer getMode() {
        return mode;
    }

    public void setMode(Integer mode) {
        this.mode = mode;
    }

    public Long getT() {
        return t;
    }

    public void setT(Long t) {
        this.t = t;
    }
}
