package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarMapper {
    List<ResultCarVo> getAll(String companyNo);

    ResultCarVo getByCarNo(@Param("companyNo") String companyNo, @Param("carNo") String carNo);

    List<ResultCarVo> getByCarNoForLike(@Param("companyNo") String companyNo, @Param("carNo") String carNo);

    int addCar(AddCarVo resultCarVo);

    int updateCar(UpdateCarVo updateAlarmVo);

    int delCar(String carNo);

    int updateImg(@Param("img") String img,@Param("carNo") String carNo);

    List<TruckNo> getTruckNo(@Param("companyNo") String companyNo, @Param("carNo") String carNo);

}
