package com.example.tdl.mapper;

import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserMapper {

    List<ResultUserVo> getAll(@Param("companyNo") String companyNo);

    int login(LoginUserVo loginUserVo);

    UserVo getByUserName(@Param("userName") String userName);

    List<ResultUserVo> getAllUser();


    List<ResultUserVo> getByTerm(UserTermVo userTermVo);

    ResultUserVo getByPhone(@Param("phone") String phone,@Param("companyNo") String companyNo);

    ResultUserVo getByEmail(@Param("email") String email,@Param("companyNo") String companyNo);

    ResultUserVo getByUserNumber(String userNumber);

    int addUser(AddUserVo addUserVo);

    int updateUser(UpdateUserVo userVo);

    int delUser(String userNumber);

    int updatePassword(UpdatePasswordVo updatePasswordVo);

    int updateImg(@Param("img") String img,@Param("userNumber") String userNumber);

    int getByRoleName(@Param("roleName") String roleName,@Param("companyNo") String companyNo);

    List<AlarmContactsVo> getAllByCompanyNo(String companyNo);
}
