package com.example.tdl.service;

import com.example.tdl.domain.vo.*;
import com.example.tdl.entity.AlarmLog;
import com.example.tdl.mapper.AlarmLogABBMapper;
import com.example.tdl.mapper.AlarmLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AlarmLogABBService {

    @Autowired
    private AlarmLogABBMapper alarmLogABBMapper;

    public List<ResultAlarmLogABBVo> getAll(String companyNo,Integer page,Integer rows){
        return  alarmLogABBMapper.getAll(companyNo,page,rows);
    }

    public Integer getAllCount(String companyNo){
        return  alarmLogABBMapper.getAllCount(companyNo);
    }

    public List<ResultAlarmLogABBVo> getByTerm(AlarmTermABBVo alarmTermABBVo,Integer page,Integer rows){
        return  alarmLogABBMapper.getByTerm(alarmTermABBVo,page,rows);
    }

    public Integer getByTermCount(AlarmTermABBVo alarmTermABBVo){
        return  alarmLogABBMapper.getByTermCount(alarmTermABBVo);
    }

    public List<ResultAlarmLogABBVo> getByTermForDownload(AlarmTermABBVo alarmTermABBVo){
        return  alarmLogABBMapper.getByTermForDownload(alarmTermABBVo);
    }

    public List<ResultAlarmLogCountABBVo> getYearCountForLineGraph(){
        return alarmLogABBMapper.getYearCountForLineGraph();
    }

    public List<ResultAlarmLogCountABBVo> getDayCountForLineGraph(){
        return alarmLogABBMapper.getDayCountForLineGraph();
    }

    public ResultAlarmLogCountPieGraphVo getDaySumForPieGraph(){
        return alarmLogABBMapper.getDaySumForPieGraph();
    }

    public ResultAlarmLogCountPieGraphVo getYearSumForPieGraph(){
        return alarmLogABBMapper.getYearSumForPieGraph();
    }

    public List<ResultAlarmLogHouseCountPieGraphVo> getDayHouseSumForPieGraph(){
        return alarmLogABBMapper.getDayHouseSumForPieGraph();
    }

    public List<ResultAlarmLogHouseCountPieGraphVo> getYearHouseSumForPieGraph(){
        return alarmLogABBMapper.getYearHouseSumForPieGraph();
    }

}
