package com.example.tdl.service;


import com.example.tdl.domain.vo.PermissionVo;
import com.example.tdl.mapper.PermissionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PermissionService {

    @Autowired
    private PermissionMapper permissionMapper;

    public List<PermissionVo> getAll(){
        return permissionMapper.getAll();
    }

    public List<String> getPermissionParentName(){
        return permissionMapper.getPermissionParentName();
    }

    public List<String> getPermissionByPermissionName(String permissionName){
        return permissionMapper.getPermissionByPermissionName(permissionName);
    }

    public List<String> getByRoleName(String roleName, String companyNo){
        return permissionMapper.getByRoleName(roleName,companyNo);
    }
}
