package com.example.tdl.util;


import com.aliyuncs.CommonRequest;
import com.aliyuncs.CommonResponse;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;
import com.google.gson.Gson;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class AlidayuUtils {

    private static Logger logger = LoggerFactory.getLogger(AlidayuUtils.class);

    static final String product = "Dysmsapi";
    static final String domain = "dysmsapi.aliyuncs.com";


    static final String accessKeyId = "LTAI6OYfcrwJ1LfV";
    static final String accessKeySecret = "VxLAFqp0sdXjukhND4acGPTuDyrnyh";

    public static CommonResponse sendMessage(String telList,String templateCode, String signName, String message){
        CommonResponse response = null;
        Gson gson  = new Gson();
        DefaultProfile profile = DefaultProfile.getProfile("default", accessKeyId, accessKeySecret);
        IAcsClient client = new DefaultAcsClient(profile);

        CommonRequest request = new CommonRequest();
        //request.setProtocol(ProtocolType.HTTPS);
        request.setMethod(MethodType.POST);
        request.setDomain("dysmsapi.aliyuncs.com");
        request.setVersion("2017-05-25");
        request.setAction("SendSms");
        request.putQueryParameter("PhoneNumbers", telList);
        request.putQueryParameter("SignName", signName);
        request.putQueryParameter("TemplateCode", templateCode);
        request.putQueryParameter("TemplateParam", message);

        try {
            response = client.getCommonResponse(request);
            System.out.println(response.getData());
        } catch (ServerException e) {
            e.printStackTrace();
        } catch (ClientException e) {
            e.printStackTrace();
        }
        return  response;
    }


    public static void  main(String[] args){
        sendMessage("13584678050","SMS_166477417","辉泰云平台","{\"pool\":\"123\"}");
    }

}
