package com.example.tdl.web;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.example.tdl.domain.dto.CommFeedback;
import com.example.tdl.domain.vo.TransportationNoVo;
import com.example.tdl.util.HttpRequester;
import com.google.gson.Gson;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

@RestController("/location")
public class BaiduController {
    private Logger logger = LoggerFactory.getLogger(CircuitController.class);

    CommFeedback fb=new CommFeedback();

    Gson gson=new Gson();



    @ApiOperation(value = "模糊查询百度地图位置", notes = "模糊查询百度地图位置")
    @PostMapping("/getAddress")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header", name = "Account_token", value = "token", required = true, dataType = "String"),
            @ApiImplicitParam(paramType = "header", name = "AccountLanguage", value = "language", required = true, dataType = "String"),
    })
    public String getLocation(@RequestBody String keyword, HttpServletRequest request){
        JSONObject jsonObject= JSON.parseObject(keyword);
        keyword=jsonObject.getString("keyword");
        logger.info(keyword);
        return  HttpRequester.get("http://api.map.baidu.com/place_abroad/v1/search?query=" + keyword + "&page_size=1&page_num=0&scope=1&coord_type=3&region=%E5%85%A8%E5%9B%BD&output=json&ak=rzjXpeDvGDDaBkuZxaSChdztTFc4NfC7");
    }

}
